
```bash
pip install hammadpy
```


# HammadPy

The **HammadPy** library, is an 'accidentally' developed toolkit for simplifying a variety of tasks. <br/>
<br/>


---


**Core Features**
> - Styled Text Outputs <br/>
> - Styled Text Strings <br/>
> - Loading Placeholders <br/>
> - Data Handling <br/>
> - Variable Verification <br/>


---


**Generative AI**
> - Simple & Templated LLM API Queries to OpenAI or Huggingface
> - Modular *'instructor'* implementation (use premade models, or define own).
> - DALLE Image Generation (URL & PNG)


---


**Pydantic Modeling**
> - Variety of premade Pydantic Models; or build your own.


---


**Web Tools**
> - Modular & Simple FastAPI Implementation
> - Plug and play requests (Easy HTTP requests, using the 'requests library)


---


**Machine Learning Kit**
> - Simple scikit-learn alogrithm implementations (Clustering, Regression, Classification)
> - *'Essential'* natural-language tools, using spaCy and nltk.


---


**Experimental (Very Faulty!)**
> - Modular GUI implementation, with tkinter.


---


### The HammadPy library is available globally on [Pypi](https://pypi.org/project/hammadpy/), you can install it using:

```python
pip install hammadpy
```
